Subject: bug#18777: [PATCH] dfa: improvement for checking of multibyte character boundary

From: Norihiro Tanaka <[email-masked]>
Date: Tue, 21 Oct 2014 08:09:24 +0900

Eric Blake <[email-masked]> wrote:
> Is it worth extending your optimization to all five of the
> POSIX-guaranteed single byte characters?

Thanks, but I don't want to perform it immediately.  DFA has already
regarded newline as a single byte character, but hasn't others yet.  So,
we may need to make many changes to handle invalid locales and sequences
not to conform to the rule.  If we omitted that, It might be that limits
are added to the locale to be able to apply DFA to.  Threfore, it should
be performed carefully.